SystemOrganization addCategory: #EToysLoader!

Object subclass: #EToysLoader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EToysLoader'!

!EToysLoader commentStamp: 'pk 2/4/2007 23:16' prior: 0!
SampledSound soundLibrary saveOnFile


|inputStream anObject |
inputStream _ FileStream oldFileNamed: 'soundLibrary'.
anObject _ inputStream fileInObjectAndCode.
inputStream close.
SampledSound classPool at: #SoundLibrary put:  anObject.

Flaps initializeFlapsQuads

(PartsBin classPool at: #Thumbnails) saveOnFile

|inputStream anObject |
inputStream _ FileStream oldFileNamed: 'thumbnails'.
anObject _ inputStream fileInObjectAndCode.
inputStream close.
PartsBin classPool at: #Thumbnails put:  anObject.

(TrashCanMorph classPool at: #TrashPic) saveOnFile
(TrashCanMorph classPool at: #TrashPicOn) saveOnFile


|inputStream anObject |
inputStream _ FileStream oldFileNamed: 'trashPic'.
anObject _ inputStream fileInObjectAndCode.
inputStream close.
TrashCanMorph classPool at: #TrashPic put:  anObject.
inputStream _ FileStream oldFileNamed: 'trashPicOn'.
anObject _ inputStream fileInObjectAndCode.
inputStream close.
TrashCanMorph classPool at: #TrashPicOn put:  anObject.

TextConstants saveOnFile

|inputStream anObject |
inputStream _ FileStream oldFileNamed: 'textConstants'.
anObject _ inputStream fileInObjectAndCode.
inputStream close.
Smalltalk at: #TextConstants put:  anObject.

PaintBoxMorph prototype saveOnFile

|inputStream anObject |
inputStream _ FileStream oldFileNamed: 'paintBoxMorph.morph'.
anObject _ inputStream fileInObjectAndCode.
inputStream close.
PaintBoxMorph classPool at: #Prototype put:  anObject.!

!EToysLoader class methodsFor: 'loading' stamp: 'pk 2/4/2007 21:54'!
changeDefinitions

! !

!EToysLoader class methodsFor: 'loading' stamp: 'pk 2/7/2007 19:12'!
initialize

	(self confirm: 'Load EToys now?')
		ifTrue: [ self load ] ! !

!EToysLoader class methodsFor: 'loading' stamp: 'pk 4/22/2007 16:29'!
initializeClasses

Flaps initializeClass.

ThumbnailMorph initializeClass.
TestRunner initializeClass.
ObjectsTool initializeClass.
TabbedPalette initializeClass.
MailComposition initializeClass.
LedDigitMorph initializeClass.
ScriptableButton initializeClass.
PartsBin initializeClass.
PBTextPreferenceView initializeClass.
PBWindowColorPreferenceView initializeClass.
BooleanPreferenceView initializeClass.
SqueakPage initializeClass.
DummyToolWorkingWithFileList initializeClass.
StackMorph initializeClass.

"FixUnderscores initializeClass."

BouncingAtomsMorph initializeClass.
RecordingControlsMorph initializeClass.
StickyPadMorph initializeClass.
SqueakPageCache initializeClass.
ClockMorph initializeClass.

"TileMorph initializeClass."

ScorePlayerMorph initializeClass.
PreferenceBrowser initializeClass.
HaloThemePreferenceView initializeClass.
TrashCanMorph initializeClass.
AnimatedImageMorph initializeClass.
PBHaloThemePreferenceView initializeClass.
RandomNumberTile initializeClass.
PBBooleanPreferenceView initializeClass.
LedCharacterMorph initializeClass.
TheWorldMainDockingBar initializeClass.
CurvierMorph initializeClass.
ScrollableField initializeClass.
PBNumericPreferenceView initializeClass.
SARInstaller initializeClass.
BookMorph initializeClass.
FrameRateMorph initializeClass.
KedamaMorph initializeClass.
MagnifierMorph initializeClass.
MovingEyeMorph initializeClass.
PaintInvokingMorph initializeClass.
KedamaPatchMorph initializeClass.
LanguageEditor initializeClass.
UserCustomEventNameType initializeClass.
LongTestCase initializeClass.
PBColorPreferenceView initializeClass.
AllScriptsTool initializeClass.
BooklikeMorph initializeClass.! !

!EToysLoader class methodsFor: 'loading' stamp: 'pk 2/10/2007 20:44'!
load

	Smalltalk at: #References put: IdentityDictionary new.

	self changeDefinitions.
	self loadEToys.
	self loadEToysInitialization.
	MCFileBasedRepository flushAllCaches.
	self initializeClasses.
	
	BooklikeMorph classPool at: #PageFlipSoundOn put: true.
	Flaps initializeFlapsQuads.
	Preferences installIconicHaloSpecs.
	
	self loadData.
	
	Preferences restoreDefaultFonts.
	Flaps enableGlobalFlaps.
	ScriptingSystem initializeHelpStrings.

	
	
	
	
	
	

! !

!EToysLoader class methodsFor: 'loading' stamp: 'pk 2/10/2007 20:43'!
loadData

	| file zip |
	file := 'http://www.comtalk.net/Squeak/uploads/98/EToysData0002.zip' asUrl retrieveContents.
	zip := ZipArchive new readFrom: file content asByteArray readStream.
	
	self loadPreferencesFrom: zip.
	self loadSoundLibraryFrom: zip.
	self loadThumbnailsFrom: zip.
	self loadTrashFrom: zip.
"	self loadTextConstantsFrom: zip."
	self loadPaintBoxMorphFrom: zip.
	self loadTileMorphFrom: zip.! !

!EToysLoader class methodsFor: 'loading' stamp: 'pk 2/4/2007 23:01'!
loadEToys 

	self loadLatestVersionOf: 'EToys' location: 'http://squeaksource.com/KernelImage'! !

!EToysLoader class methodsFor: 'loading' stamp: 'pk 2/4/2007 23:02'!
loadEToysInitialization 

	self loadLatestVersionOf: 'eToysInitialization' location: 'http://squeaksource.com/KernelImage'! !

!EToysLoader class methodsFor: 'loading' stamp: 'pk 2/4/2007 21:50'!
loadLatestVersionOf: packageName location: location

	| repository sortMczs fileToLoad version | 
	
	repository := MCHttpRepository location: location user: '' password: ''.
	sortMczs := [:a :b |
		[(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b  
			findBetweenSubStrs: #($.)) allButLast last asInteger]
		on: Error do: [:ex | false]].
	
	fileToLoad := (repository readableFileNames asSortedCollection: sortMczs) detect: 
		[:file | file beginsWith: (packageName, '-')].
	
	version := repository versionFromFileNamed: fileToLoad.
	version workingCopy repositoryGroup addRepository: repository.
	repository creationTemplate: 'MCHttpRepository
	location: ''', location, '''
	user: ''''
	password: '''''.

	version load.
	
	! !

!EToysLoader class methodsFor: 'private' stamp: 'pk 2/7/2007 17:28'!
loadObjectNamed: zipMemberName form: zipFile

	|inputStream anObject |

	inputStream := MultiByteBinaryOrTextStream with: (zipFile memberNamed: zipMemberName) contents.
	inputStream reset.
	anObject := inputStream fileInObjectAndCode.
	inputStream close.
	
	^ anObject.
! !

!EToysLoader class methodsFor: 'data' stamp: 'pk 2/7/2007 17:37'!
loadPaintBoxMorphFrom: zipFile

	" PaintBoxMorph prototype saveOnFile "

	PaintBoxMorph classPool at: #Prototype put:  (self loadObjectNamed: 'paintBoxMorph.morph' form: zipFile)
! !

!EToysLoader class methodsFor: 'data' stamp: 'pk 2/7/2007 17:29'!
loadPreferencesFrom: zipFile

	" Preferences dictionaryOfPreferences saveOnFile "

	Preferences dictionaryOfPreferences: (self loadObjectNamed: 'prefs' form: zipFile)
! !

!EToysLoader class methodsFor: 'data' stamp: 'pk 2/7/2007 17:33'!
loadSoundLibraryFrom: zipFile

	" SampledSound soundLibrary saveOnFile "

	SampledSound classPool at: #SoundLibrary put: (self loadObjectNamed: 'soundLibrary' form: zipFile)
! !

!EToysLoader class methodsFor: 'data' stamp: 'pk 2/7/2007 17:36'!
loadTextConstantsFrom: zipFile

	" TextConstants saveOnFile "

	Smalltalk at: #TextConstants put: (self loadObjectNamed: 'textConstants' form: zipFile)
! !

!EToysLoader class methodsFor: 'data' stamp: 'pk 2/7/2007 17:34'!
loadThumbnailsFrom: zipFile

	" SampledSound soundLibrary saveOnFile "

	PartsBin classPool at: #Thumbnails put: (self loadObjectNamed: 'thumbnails' form: zipFile)
! !

!EToysLoader class methodsFor: 'data' stamp: 'pk 2/7/2007 19:01'!
loadTileMorphFrom: zipFile

	"TileMorph classPool saveOnFile "

	(self loadObjectNamed: 'tileMorph' form: zipFile) keysAndValuesDo: [:key :val | 
		TileMorph classPool at: key put: val ]
! !

!EToysLoader class methodsFor: 'data' stamp: 'pk 2/7/2007 17:35'!
loadTrashFrom: zipFile

	" (TrashCanMorph classPool at: #TrashPic) saveOnFile.
	  (TrashCanMorph classPool at: #TrashPicOn) saveOnFile. "

	TrashCanMorph classPool at: #TrashPic put: (self loadObjectNamed: 'trashPic' form: zipFile).
	TrashCanMorph classPool at: #TrashPicOn put: (self loadObjectNamed: 'trashPicOn' form: zipFile)
! !

!EToysLoader class methodsFor: 'loading' stamp: 'pk 2/7/2007 15:14'!
prefs

"
	Preferences dictionaryOfPreferences saveOnFile.

	(Base64MimeConverter mimeEncode: 
			(FileStream readOnlyFileNamed: 'prefs') binary)
				contents			
"
	^  MultiByteBinaryOrTextStream on: (Base64MimeConverter mimeDecodeToBytes:
	'77u/J0Zyb20gU3F1ZWFrMy45IG9mIDcgTm92ZW1iZXIgMjAwNiBbbGF0ZXN0IHVwZGF0ZTog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')! !
EToysLoader initialize!
